org.apache.xmpbox.type

## Class DefinedStructuredType

- java.lang.Object
- - org.apache.xmpbox.type.AbstractField
  - - org.apache.xmpbox.type.AbstractComplexProperty
    - - org.apache.xmpbox.type.AbstractStructuredType
      - - org.apache.xmpbox.type.DefinedStructuredType

    public class DefinedStructuredType
    extends AbstractStructuredType

### Field Summary

### Fields inherited from class org.apache.xmpbox.type.AbstractStructuredType

`STRUCTURE_ARRAY_NAME`

### Constructor Summary

Constructors
Constructor and Description
`DefinedStructuredType(XMPMetadata metadata)`
`DefinedStructuredType(XMPMetadata metadata, String namespaceURI, String fieldPrefix, String propertyName)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addProperty(String name, PropertyType type)`
`Map<String,PropertyType>` `getDefinedProperties()`

### Methods inherited from class org.apache.xmpbox.type.AbstractStructuredType

`addSimpleProperty, createArrayProperty, createTextType, getDatePropertyAsCalendar, getNamespace, getPreferedPrefix, getPrefix, getPropertyValueAsString, setNamespace, setPrefix`

### Methods inherited from class org.apache.xmpbox.type.AbstractComplexProperty

`addNamespace, addProperty, getAllNamespacesWithPrefix, getAllProperties, getArrayProperty, getContainer, getFirstEquivalentProperty, getNamespacePrefix, getProperty, removeProperty`

### Methods inherited from class org.apache.xmpbox.type.AbstractField

`containsAttribute, getAllAttributes, getAttribute, getMetadata, getPropertyName, removeAttribute, setAttribute, setPropertyName`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DefinedStructuredType

    public DefinedStructuredType(XMPMetadata metadata,
                                 String namespaceURI,
                                 String fieldPrefix,
                                 String propertyName)

#### DefinedStructuredType

    public DefinedStructuredType(XMPMetadata metadata)

### Method Detail

#### addProperty

    public void addProperty(String name,
                            PropertyType type)

#### getDefinedProperties

    public Map<String,PropertyType> getDefinedProperties()